<template>
  <div
    :style="`
      --custom-transition-time: opacity ${props.t}s ease;
      min-height: inherit;
  `"
  >
    <transition name="fade" mode="out-in">
      <slot />
    </transition>
  </div>
</template>

<script setup>
const props = defineProps({
  t: {
    type: [Number, String],
    required: false,
    default: 0.2,
  },
});
</script>

<style>
.fade-enter-active,
.fade-leave-active {
  transition: var(--custom-transition-time);
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}
</style>
